package middleware

import (
	"exam_system/middleware/auth"
	"exam_system/middleware/exception"
	"exam_system/middleware/perm"
	"github.com/gin-gonic/gin"
)

func Middleware(engine *gin.Engine) {
	// 异常
	engine.Use(exception.Recover())
	// 鉴权
	engine.Use(auth.Auth())
	// 权限
	engine.Use(perm.Perm())

}
